{ config, pkgs, lib, ... }: {
  systemd.services.jinx = { # running for Pinea
    serviceConfig = {
      User = "jinx";
      ExecStart = "${pkgs.nix}/bin/nix develop --command pnpm start";
      WorkingDirectory = "/services/jinx/Jinx";
      LoadCredential = "postgres_password:${config.sops.secrets.clicks_jinx_db_password.path}";
      Environment = [
        "PATH=${pkgs.git}/bin"
        "DATABASE_PASSWORD_FILE=%d/postgres_password"
      ];
    };
    wantedBy = [ "default.target" ];
    description = "Run Jinx";
  };
}
